
Imports System.Net
Imports System.Net.Http
Imports System.Security.Cryptography.X509Certificates
Imports System.Text


Public Class Form1
    Public Sub Button1_Click(sender As Object, e As EventArgs) Handles btnClickThis.Click
        Dim rawRMA As String
        Dim baseURL As String
        rawRMA = txtRMA.Text
        baseURL = txtBaseURL.Text

        Dim encodedRMA As String = Uri.EscapeDataString(rawRMA)

        txtFinalUrl.Text = baseURL & encodedRMA

        My.Computer.Clipboard.SetText(txtFinalUrl.Text)
    End Sub


    Private Sub AboutToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles AboutToolStripMenuItem.Click
        Dim box = New About()
        box.Show()
    End Sub

    Private Sub btnEditBaseUrl_Click(sender As Object, e As EventArgs) Handles btnEditBaseUrl.Click
        txtBaseURL.Text = "https://www.tnt.com/express/en_au/site/shipping-tools/tracking.html?searchType=ref&cons="
    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        txtBaseURL.Text = "https://www.tnt.com/express/en_au/site/shipping-tools/tracking.html?searchType=con&cons="
    End Sub

    Private Sub btnFedexShipping_Click(sender As Object, e As EventArgs) Handles btnFedexShipping.Click
        txtBaseURL.Text = "https://www.fedex.com/fedextrack/?trknbr="
    End Sub
End Class

